Name:          maven-docck-plugin
Version:       1.0
Release:       %mkrel 3
Summary:       Maven Documentation Checker Plugin
Group:         Development/Java
License:       ASL 2.0
Url:           http://maven.apache.org/plugins/maven-docck-plugin/
# svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-docck-plugin-1.0
# tar czf maven-docck-plugin-1.0-src-svn.tar.gz maven-docck-plugin-1.0
Source0:       maven-docck-plugin-1.0-src-svn.tar.gz

BuildRequires: jakarta-commons-httpclient
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-plugin-tools
BuildRequires: maven-resources-plugin
BuildRequires: maven-shared
BuildRequires: maven-surefire-plugin
BuildRequires: maven-plugin-descriptor

BuildRequires: plexus-utils

Requires:      apache-commons-logging
Requires:      java
Requires:      jpackage-utils
Requires:      maven
Requires:      maven-plugin-tools
BuildArch:     noarch

Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

%description
Checks for violations of the Plugin Documentation Standard.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
Maven Documentation Checker Plugin.

This package contains javadoc for %{name}

%prep
%setup -q -n maven-docck-plugin-%{version}

%build

mvn-rpmbuild \
  -Dmaven.test.skip=true \
  install javadoc:javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/maven-docck-plugin-%{version}.jar \
  %{buildroot}%{_javadir}/maven-docck-plugin.jar
  
mkdir -p %{buildroot}%{_mavenpomdir}
%add_to_maven_depmap org.apache.maven.plugins maven-docck-plugin %{version} JPP maven-docck-plugin
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-maven-docck-plugin.pom

mkdir -p %{buildroot}%{_javadocdir}/maven-docck-plugin
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/maven-docck-plugin

%post
%update_maven_depmap

%preun
%update_maven_depmap

%files
%{_javadir}/maven-docck-plugin.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/maven-docck-plugin



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0-3.mga3
+ Revision: 359599
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 dmorgan <dmorgan> 1.0-2.mga3
+ Revision: 268330
- Added dep to maven-plugin-descriptor

* Wed Jul 20 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 127115
- Fix groups

  + gil <gil>
    - imported package maven-docck-plugin

